Documentation
Projects

Create Project

Creates a new project for the authenticated developer

POST
/
api
/
developer
/
projects
curl -L -X POST 'https://flux.postacksolutions.com/api/developer/projects' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "My Messaging App",
    "description": "My messaging application description"
  }'
200
{
  "project": {
    "id": "proj_abc123xyz",
    "name": "My Messaging App",
    "description": "My messaging application description",
    "apiSecret": "secret_abc123xyz",
    "createdAt": "2024-01-15T10:30:00Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your developer access token.

Request Body

name
string
required

The name of the project

description
string

Optional description of the project

Response

200
application/json

Successful response

project
object

The created project object. Note: The apiSecret is only shown once in the response. Make sure to save it securely.